Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
payouts
/
stats
Get Payouts Statistics
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/payouts/stats \
  --header 'Authorization: Bearer <token>'
{
  "period": {
    "from": 0,
    "to": 0
  },
  "data": [
    {
      "date": 0,
      "amount": 0,
      "subnet": "string",
      "service_uuid": "string"
    }
  ],
  "total": 0,
  "last_payout_date": 0,
  "next_payout_date": 0,
  "min_amount_reached": true,
  "unpaid": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

service_uuid
string

Filter By Service UUID

address
string<ipv4>

Filter By IPv4 Address

cidr
integer

Filter By CIDR

status_date_from
integer

Filter by Start period date in unix timestamp format which is greater or equal to input

status_date_to
integer

Filter By End period date in unix timestamp format which is lower or equal to input

Response

Payouts Statistics

period
object

Statistics period

data
object[]
total
number<float>

Total amount for period

last_payout_date
number<int>

Last payout date

next_payout_date
number<int>

Next payout date

min_amount_reached
boolean

Min amount reached

unpaid
number<float>

Unpaid amount